Instalación y gestión de paquetes


2 Instalación y gestión de paquetes LaTeX

LyX es una aplicación multiplataforma, que además de en GNU/Linux, puede ser instalada en Windows y Mac OS. Como el que aquí les escribe es un usuario de la distribución Ubuntu, la cual está teniendo mucha popularidad en los últimos años, la mayoría de instrucciones para instalación de paquetes y configuración están basados en esta distribución; siendo necesario información complementaria para cada sistema operativo.

2.1 Instalación en GNU/Linux

En Ubuntu, podemos encontrarlo en los repositorios, por lo que es muy fácil instalarlo. Simplemente desde consola, Synaptic o Agregar/Quitar programas. A mí personalmente, me resulta más fácil y sencillo utilizar el primer método, para ello tecleamos:
$ sudo aptitude install lyx
Actualmente se está mejorando LyX a un buen ritmo. Sin embargo, las versiones de los repositorios de LyX no se actualizan en una misma versión de Ubuntu, por lo que tenemos que instalar a partir de otras fuentes. Por ejemplo, desde GetDeb, antiguo GetDeb o LaunchPad descargamos los dos archivos de nuestra versión y abrimos un terminal en la carpeta de descarga:
$ sudo dpkg -i lyx*.deb
Podemos instalar paquetes LaTeX a partir de archivos precompilados *.deb, método que utilizaremos en este manual, indicando para cada caso el comando que sea necesario, los cuales se pueden buscar a través del gestor de paquetes Synaptic. También, podemos usar la aplicación MPM, que es algo parecido a aptitude para LaTeX.
Otra alternativa es bajar los paquetes, que normalmente se hace desde la base de datos CTAN (the Comprehensive TeX Archive Network) e instalarlos manualmente. Ejemplos sobre esto último trataremos en las secciones y .
Después de la instalación del paquete, necesitamos reconfigurar. Para ello, haz clic en Herramientas  ▷  Reconfigurar. Sin embargo, si estamos probando algo nuevo y tenemos que hacerlo muchas veces, puede resultar tedioso, por eso es muy útil este comando:
$ lyx -x reconfigure
LyX se abrirá y solo tendremos que cerrarlo (Alt+F4) y volver a abrirlo.
2.1.1 Mi macrocomando de instalación en Ubuntu o Debian
Cuando instalamos LyX, a su vez se instalan multitud de paquetes del propio LaTeX. No obstante, a lo largo de nuestro bagaje, iremos necesitando nuevas utilidades y nuevos paquetes que no están incluídos en la configuración por defecto. A objeto de esto, a continuación aparece un macrocomando con TODOS los paquetes que he ido utilizando en toda mi historia y recopilando en mi blog. No son necesarios, pero para aquellos que prefieran tener una instalación completa, te vendrá de perlas:
$ sudo aptitude install lyx tex4ht ispell ispanish texlive-latex-base texlive-la tex-extra texlive-latex-recommended texlive-fonts-extra texlive-lang-spanish texlive-bibtex-extra texlive-pictures preview-latex-style texlive-publishers texlive-fonts-recommended lmodern latex-beamer && lyx -x reconfigure

2.2 Instalación en Windows

No suelo dar soporte a Windows, pero cuando se trata de LyX, suelo hacer una excepción.
Cuando animas a alguien que utilice LyX y que es usuario de esta plataforma, no le vas a hacer que se instale Linux si no quiere, así que le invitas a que se pase por la página oficial de LyX y que en descargas se baje el instalador.
Sin embargo, casi siempre me comentaban que les daba error al abrirse la aplicación o al intentar compilar. Esto sucede cuando no se tiene ninguna distribución LaTeX instalada. La solución es muy sencilla, ir al ftp donde están los archivos (para la última versión 1.6.4.1 es aquí) y bajarse el instalador que dice LyX-x-x-x-Instaler-Bundle.exe (para la última versión 1.6.4.1 es aquí). Este instalador incluye la distribución LaTeX MiKTeX, la cual debemos instalar cuando así nos lo pida la instalación. También podemos optar por la versión que únicamente trae el instalador de LyX (Small) si tenemos MiKTeX previamente.
Una vez instalemos la distribución, no tenemos que volver a hacerlo en sucesivas actualizaciones de LyX, ya solo instalamos el archivo más pequeño (Update) que tiene solo la aplicación LyX en sí.

2.3 Instalación en Mac OS [F→] [→F]  Fuente y más información en Wiki LyX

LyX para Mac OS está disponible como un binario para Mac OS X 10.3.9 y posterior. La página de descarga es esta.
Sin embargo, para compilar los documentos, es necesario instalar la distribución LaTeX:
  1. Usar MacTeX. El archivo .dmg es un poco grande (700+ MB), pero es muy completo. La instalación en un solo paso es recomendada para los principialentas que no conocen los componentes que necesitan. MacTeX incluye todos los componentes necesarios para trabajar con LaTeX, además de un corrector ortográfico (Excalibur) y un gestor de bibliografía (BibDesk).
  2. Usar el gestor de paquetes fink para instalar tetex, ghostscript e imagemagick.
  3. Usar el gestor de paquetes MacPorts.
Para usar otras implementaciones que no se instalan en los binarios, guardarla en /usr/texbin, /usr/local/teTeX/bin/powerpc-apple-darwin-current, /sw/bin, /opt/local/teTeX/bin, o /usr/local/bin, o si lo prefieres puedes añadir una ruta en el menú LyX  ▷  Preferencias  ▷  Rutas.



10 comentarios el “Instalación y gestión de paquetes

  1. Buenas. Acabo de actualizar ubuntu a 9.10 y me ha dejado de funcionar lyx. No se qué pasa, he desinstalado y vuelto a instalar varias veces. Una locura. Lo uso para preparar exámenes de mi alumnado y ando de los nervios. Te rogaría me echaras un cable.

    La cosa es que me da un tipo de error que no entiendo al intentar exportar a pdf, ps, o DVI.

    Muchas gracias por adelantado y un saludo.

  2. El error es:”La ruta del directorio al documento no puede contener espacios.”

  3. Hola, soy estudiante de ingenieria y utilizaba hasta hace poco Latex, para redactar mis trabajos con windows. Ahora me he cambiado a la manzanita pero no consigo instalarlo aqui !!
    He pasado muchas horas buscando en foros, tutoriales y en distintos sitios en busca de una solución pero aun no se como arreglar mi problema. Os explico.
    Yo me descargo el paquete Mactex y finalmente obtengo un archivo llamado: “MacTeX.mpkg”. Hasta aqui todo perfecto, pero el problema llega cuando hago doble click para comenzar la instalación, ya que aparece un mensaje de error:
    No se ha podido completar la operación. (com.apple.installer.pagecontroller error -1.) Imposible abrir “MacTeX.mpkg”.

    No se si teneis idea de que puede ocurrir, pero si la teneis os pido, no, mejor os suplico que me indiqueis que pasa, por favor porque ya estoy desesperado y necesito el programita para trabajar.

    Un saludo y gracias de antemano.

    • Siento no poder ayudarte, mis conocimientos sobre MacOS son prácticamente nulos.

      ¡Suerte!

  4. Hola,
    siempre que hago una búsqueda de algo para Lyx termino en tu página, así que ya te pregunto directamente, el caso es que sé más de Latex que de Lyx, y siempre quiero modificar las cosas con las posibilidades que me da Latex, en este caso quiero añadir en el preámbulo de Latex el paquete:
    \usepackage[intoc,refeq,refpage]{nomencl}
    el caso es que Lyx por defecto añade el paquete así:
    \usepackage[]{nomencl}

    y no me deja compilar las dos paquetes, entran en conflicto, la pregunta sería:
    ¿hay alguna forma de acceder al paquete que escribe Lyx para modificar sus opciones, o si no fuera posible, hay alguna forma de quitarlo?

    ¡Gracias!, y enhorabuena por el blog, me a servido mucho para iniciarme en Lyx.

  5. por favor alguien que me ayude instale lyx pero me aparece esto al intentar verlo en otro formato El error es:”La ruta del directorio al documento no puede contener espacios.”

  6. buenas noches tengo un problema cuando cambio el idioma lyx y el idioma del corrector ortográfico a la hora de ber la vista previa en pdf ne sale el siguente error Package babel Error: You haven’t specified a language option. y no se que hacer me prodrias ayudar es toy utilisando fedora 20

    grasias:

    • He tenido el mismo problema, lo solucione con la instalación del paquete español de babel.

      yum install -y texlive-babel-spanish.noarch

      Espero haberte ayudado.

      Saludos.-

      • Me ha solucionado el mismo problema en ubuntu, instalando texlive-lang-spanish (que incluye texlive-babel-spanish)

        Muchas gracias!

  7. hola!
    He tenido un problema con lyx en la versión 2.1, la cual no me deja compliar los archivos debido aun problema de clase, reviso las clases y no tengo ninguna clase instalada. ¿Que puedo hacer?

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s